# laminas-tag

> This package is considered feature-complete, and is now in **security-only** maintenance mode, following a [decision by the Technical Steering Committee](https://github.com/laminas/technical-steering-committee/blob/2b55453e172a1b8c9c4c212be7cf7e7a58b9352c/meetings/minutes/2020-08-03-TSC-Minutes.md#vote-on-components-to-mark-as-security-only).
> If you have a security issue, please [follow our security reporting guidelines](https://getlaminas.org/security/).
> If you wish to take on the role of maintainer, please [nominate yourself](https://github.com/laminas/technical-steering-committee/issues/new?assignees=&labels=Nomination&template=Maintainer_Nomination.md&title=%5BNOMINATION%5D%5BMAINTAINER%5D%3A+%7Bname+of+person+being+nominated%7D)


[![Build Status](https://github.com/laminas/laminas-tag/workflows/Continuous%20Integration/badge.svg)](https://github.com/laminas/laminas-tag/actions?query=workflow%3A"Continuous+Integration")

`Laminas\Tag` is a component suite which provides a facility to work with taggable
Items. As its base, it provides two classes to work with Tags, `Laminas\Tag\Item`
and `Laminas\Tag\ItemList`. Additionally, it comes with the interface
`Laminas\Tag\TaggableInterface`, which allows you to use any of your models as a
taggable item in conjunction with `Laminas\Tag`.

- File issues at https://github.com/laminas/laminas-tag/issues
- Documentation is at https://docs.laminas.dev/laminas-tag/
